Subject: Re: bug#51037: [PATCH] Make `print-level` & `print-length` customizable in ERT batch tests

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Oct 2021 11:25:14 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 07 Oct 2021 09:59:01 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >   https://lists.gnu.org/archive/html/emacs-devel/2021-10/msg00395.html
> >
> > for how that makes debugging more difficult than it has to be.
> >
> > So how about using huge values in batch?  Are there any downsides?
> 
> It'll make the error summaries completely unreadable

Sorry, I don't think I understand: why would that make them
unreadable?  Text terminals wrap long lines.  Or what am I missing?
Can you perhaps show an example of such an unreadable error summary?

And even if this is something specific to ERT, why not use a huge
value in batch-mode by default, and bind the variables to smaller
values in ERT?

> But when making a specific test (i.e., "make subr-tests" etc) it would
> indeed be nice to have untruncated backtraces.  I think adding these new
> variables would allow us to do this.

OK, but I was thinking about a more general problem, not just about
ERT.  The backtraces displayed in batch-mode are truncated too early,
and that makes them useless many times.